import Keycloak, { KeycloakConfig, KeycloakInitOptions } from "keycloak-js";
import config from "@/plugins/config"

   
const keycloakConfig: KeycloakConfig = {
  url: config.url,
  realm: config.realm,
  clientId: config.clientId,
}

const keycloakOptions: KeycloakInitOptions = {
  scope: config.scope,
  checkLoginIframe: config.checkLoginIframe,
  redirectUri: config.redirectUri,
  // onLoad: 'login-required',
}

// kc.updateToken

// async function newKeycloak() {
//   return new Keycloak(configStore.getKeyCloakConfig());
// }


const kc = new Keycloak(keycloakConfig);

kc.init(keycloakOptions).then((auth) => {
  console.log(`User is ${auth ? 'authenticated' : 'not authenticated'}`);

  kc.onTokenExpired = () => {
    kc.updateToken(5).then(auth => {
        console.log(auth);
    })
  }
});

// save kc to local storage
localStorage.setItem('keycloak', JSON.stringify(kc));

export default kc
